import { DataGridFilterFn } from '../types';
declare type FilterState = {
    op: DateFilterOperator;
    withTime?: boolean;
    value: string | null | [string | null, string | null];
};
export declare enum DateFilterOperator {
    Equals = "eq",
    NotEquals = "neq",
    GreaterThan = "gt",
    GreaterThanOrEquals = "gte",
    LowerThan = "lt",
    LowerThanOrEquals = "lte",
    Range = "range"
}
export declare type DateFilterOptions = {
    title?: string;
    fixedOperator?: DateFilterOperator;
    labels?: Partial<Record<DateFilterOperator, string>>;
    placeholder?: string;
    timeLabel?: string;
};
export declare const createDateFilter: ({ title, fixedOperator, labels, placeholder, timeLabel, }: DateFilterOptions) => DataGridFilterFn<any, FilterState>;
export declare const dateFilterFn: DataGridFilterFn<any, FilterState>;
export {};
