import { DataGridFilterFn } from '../types';
declare type FilterState = {
    op: NumberFilterOperator;
    value?: number | number[];
};
export declare enum NumberFilterOperator {
    Equals = "eq",
    NotEquals = "neq",
    GreaterThan = "gt",
    GreaterThanOrEquals = "gte",
    LowerThan = "lt",
    LowerThanOrEquals = "lte",
    Between = "bet",
    BetweenOrEquals = "beteq",
    NotBetween = "nbet",
    NotBetweenOrEquals = "nbeteq"
}
export declare type NumberFilterOptions = {
    title?: string;
    fixedOperator?: NumberFilterOperator;
    labels?: Partial<Record<NumberFilterOperator, string>>;
    placeholder?: string;
};
export declare const createNumberFilter: ({ title, fixedOperator, labels, placeholder, }: NumberFilterOptions) => DataGridFilterFn<any, FilterState>;
export declare const numberFilterFn: DataGridFilterFn<any, FilterState>;
export {};
