/// <reference types="react" />
import { CellContext } from '@tanstack/react-table';
import { DataGridFilterFn } from '../types';
declare type FilterState = {
    op: StringFilterOperator;
    value: string;
};
export declare enum StringFilterOperator {
    Includes = "in",
    NotIncludes = "nin",
    Equals = "eq",
    NotEquals = "neq",
    StartsWith = "start",
    EndsWith = "end"
}
export declare type StringFilterOptions = {
    title?: string;
    fixedOperator?: StringFilterOperator;
    labels?: Partial<Record<StringFilterOperator, string>>;
    placeholder?: string;
};
export declare const createStringFilter: ({ title, fixedOperator, labels, placeholder, }: StringFilterOptions) => DataGridFilterFn<any, FilterState>;
export declare const stringFilterFn: DataGridFilterFn<any, FilterState>;
export declare const highlightFilterValue: <TData extends unknown>({ renderValue, column, table, }: CellContext<TData, any>) => JSX.Element;
export {};
